#ifndef TERM_H_
#define TERM_H_

#include <vector>
#include <complex>
#include <string>

//typedef std::vector<std::vector<unsigned int> > ISme_exprs_t;

class Term {
  public:
    Term(std::vector<int> varNumsIn): varNums(varNumsIn) {};
    std::complex<double> calc(const std::complex<double> *x) const;
  private:
    std::vector<int> varNums;
};

std::vector<Term> get_terms(const std::string & filename);
std::vector<std::vector<std::pair<double, unsigned int> > > get_term_sums(
    const std::string & filename);
//ISme_exprs_t get_isme_exprs(const std::string & filename,
//                            unsigned int n_ismes);
std::complex<double> sum_terms(
    const std::vector<std::pair<double, unsigned int> > & piece,
    const std::complex<double> *termResults);

#endif
