#ifndef CAYLEY_ZERO_H_
#define CAYLEY_ZERO_H_

#include <exception>

class CayleyZeroException: public std::exception {
  public:
    CayleyZeroException(double val, double thresh) throw()
    : val_(val), thresh_(thresh) {}

    const char* what() const throw() {
      return "Instability detected in tred.";
    }

    double val_;
    double thresh_;
};

#endif // CAYLEY_ZERO_H_
