#include <exception>

class InstabException: public std::exception {
  public:
    InstabException(double val, double checkVal, double thresh) throw()
    : val_(val), checkVal_(checkVal), thresh_(thresh) {}

    const char* what() const throw() {
      return "Instability detected in tred.";
    }

    double val_;
    double checkVal_;
    double thresh_;
};
