#ifndef COMMON_H_
#define COMMON_H_

#include <iostream>
#include <vector>

template<typename T> struct Vector {
  typedef typename std::vector<T> type;
  typedef typename std::vector<T>::size_type size_type;
};


template<typename T> struct Array {
  typedef typename std::vector<std::vector<T> > type;
  typedef typename std::vector<std::vector<T> >::size_type size_type;
};


std::ostream& operator<<(std::ostream& strm, const std::vector<int> & vec);

std::ostream& operator<<(std::ostream& strm, const std::vector<double> & vec);

std::ostream& operator<<(std::ostream& strm,
                         const std::vector<std::vector<int> > & vec);

std::ostream& operator<<(std::ostream& strm,
                         const std::vector<std::vector<double> > & vec);

#endif  // COMMON_H_
